<?php

$this->headTitle("News");
?>

<h1>Manage News</h1>

<p>
    <a class="btn btn-primary" href="
    <?= $this->url('news', ['action' => 'add']); ?>">
        <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> New news
    </a>
</p>

<table class="table table-striped">

    <tr>
        <th>ID</th>
        <th>Title</th>
        <th>Description</th>
        <th>Authors</th>
        <th>Content</th>
        <th>Actions</th>
    </tr>
    <?php
    foreach ($news as $new): ?>

        <tr>
            <td><?= $this->escapeHtml($new->getId()); ?></td>
            <td>
                <a href="<?= $this->url('news', ['action' => 'view', 'id' => $new->getId()]); ?>">
                    <?= $this->escapeHtml($new->getTitle()); ?>
                </a>
            </td>
            <td>
                <a><?= $this->escapeHtml($new->getDescription()); ?> </a>
            </td>
            <td>
                <a><?= $this->escapeHtml($new->getAuthors()); ?> </a>
            </td>
            <td>
                <a><?= $this->escapeHtml($new->getContent()); ?> </a>
            </td>
            <td>
                <a class="btn btn-info" href="<?= $this->url(
                    'news',
                    ['action' => 'edit', 'id' => $new->getId()]
                ); ?>">
                    <span class="glyphicon glyphicon-pencil"></span> Edit
                </a>
                <a class="btn btn-danger" href="<?= $this->url(
                    'news',
                    ['action' => 'delete', 'id' => $new->getId()]
                ); ?>">
                    <span class="glyphicon glyphicon-remove"></span> Delete
                </a>
            </td>
        </tr>

    <?php
    endforeach; ?>

</table>

